aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/obexpush/files
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/obexpush/files
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/obexpush/files')
-rw-r--r--recipes/obexpush/files/init44
-rw-r--r--recipes/obexpush/files/opd_args1
2 files changed, 45 insertions, 0 deletions
diff --git a/recipes/obexpush/files/init b/recipes/obexpush/files/init
new file mode 100644
index 0000000000..a9891ef8ad
--- /dev/null
+++ b/recipes/obexpush/files/init
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# Start or stop the OBEX Push daemon.
+#
+# Written by Michael Haynie <mbhaynie@zoominternet.net>
+#
+# It might be better to just edit the bluetooth script,
+# since opd depends heavily on it.
+#
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+[ -f /etc/default/opd_args ] && . /etc/default/opd_args
+
+case "$1" in
+ start)
+ echo -n "Starting the OBEX Push daemon: "
+ start-stop-daemon -S -x /usr/sbin/opd -- --daemonize $OPD_ARGS
+ if [ $? = 0 ]; then
+ echo "opd."
+ else
+ echo "(failed.)"
+ fi
+ ;;
+ stop)
+ echo -n "Stopping the OBEX Push daemon: "
+ start-stop-daemon -K \
+ -x /usr/sbin/opd
+ echo "opd."
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ exit
+ ;;
+ *)
+ echo "Usage: " $0 " {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
+
diff --git a/recipes/obexpush/files/opd_args b/recipes/obexpush/files/opd_args
new file mode 100644
index 0000000000..26afc0e249
--- /dev/null
+++ b/recipes/obexpush/files/opd_args
@@ -0,0 +1 @@
+OPD_ARGS="--mode OBEX --path /var/obexpush --channel 10 --sdp --metadata"